﻿:root {
	--color-sky: #04A9F5;
}

.z-index-99999 {
	z-index: 99999 !important;
}

.text-sky {
	color: var(--color-sky) !important;
}

.modal-fullscreen-xl {
	padding: 0 !important;
}

	.modal-fullscreen-xl .modal-dialog {
		width: 100%;
		max-width: none;
		height: 100%;
		margin: 0;
	}

	.modal-fullscreen-xl .modal-content {
		height: 100%;
		border: 0;
		border-radius: 0;
	}

	.modal-fullscreen-xl .modal-body {
		overflow-y: auto;
	}

.hide {
	display: none !important;
}

.highlight {
	background: yellow;
	padding: 0px;
	border: #00CC00 dotted 1px;
}

.highlight-dark {
	background: yellow;
	padding: 0px;
	border: #00CC00 dotted 1px;
	color: #000;
}

.btn-excel {
	color: #fff;
	background-color: rgb(33, 163, 102);
	border-color: rgb(33, 163, 102);
}

.btn-item {
	padding: 6px 14px !important;
	font-size: 13px !important;
	border: 1px solid #dee2e6 !important;
}

/*VH*/
.minh-10vh {
	min-height: 10vh;
}

.minh-15vh {
	min-height: 15vh;
}

.minh-20vh {
	min-height: 20vh;
}

.minh-25vh {
	min-height: 25vh;
}

.minh-30vh {
	min-height: 30vh;
}

.minh-35vh {
	min-height: 35vh;
}

.minh-40vh {
	min-height: 40vh;
}

.minh-45vh {
	min-height: 45vh;
}

.minh-50vh {
	min-height: 50vh;
}

.minh-55vh {
	min-height: 55vh;
}

.minh-60vh {
	min-height: 60vh;
}

.minh-65vh {
	min-height: 65vh;
}

.minh-70vh {
	min-height: 70vh;
}

.minh-75vh {
	min-height: 75vh;
}

.minh-80vh {
	min-height: 80vh;
}

.minh-85vh {
	min-height: 85vh;
}


.maxh-10vh {
	max-height: 10vh;
}

.maxh-15vh {
	max-height: 15vh;
}

.maxh-20vh {
	max-height: 20vh;
}

.maxh-25vh {
	max-height: 25vh;
}

.maxh-30vh {
	max-height: 30vh;
}

.maxh-35vh {
	max-height: 35vh;
}

.maxh-40vh {
	max-height: 40vh;
}

.maxh-45vh {
	max-height: 45vh;
}

.maxh-50vh {
	max-height: 50vh;
}

.maxh-55vh {
	max-height: 55vh;
}

.maxh-60vh {
	max-height: 60vh;
}

.maxh-65vh {
	max-height: 65vh;
}

.maxh-70vh {
	max-height: 70vh;
}

.maxh-75vh {
	max-height: 75vh;
}

.maxh-80vh {
	max-height: 80vh;
}

.maxh-85vh {
	max-height: 85vh;
}



.minw-30px {
	min-width: 30px !important;
}

.minw-40px {
	min-width: 40px !important;
}

.minw-60px {
	min-width: 60px !important;
}

.minw-70px {
	min-width: 70px !important;
}

.minw-80px {
	min-width: 80px !important;
}

.minw-90px {
	min-width: 90px !important;
}

.minw-100px {
	min-width: 100px !important;
}

.minw-120px {
	min-width: 120px !important;
}

.minw-130px {
	min-width: 130px !important;
}

.minw-140px {
	min-width: 140px !important;
}

.minw-150px {
	min-width: 150px !important;
}

.minw-160px {
	min-width: 160px !important;
}

.minw-170px {
	min-width: 170px !important;
}

.minw-180px {
	min-width: 180px !important;
}

.minw-190px {
	min-width: 190px !important;
}

.minw-200px {
	min-width: 200px !important;
}

.minw-210px {
	min-width: 210px !important;
}

.minw-220px {
	min-width: 220px !important;
}

.minw-230px {
	min-width: 230px !important;
}

.minw-240px {
	min-width: 240px !important;
}

.minw-250px {
	min-width: 250px !important;
}

.minw-260px {
	min-width: 260px !important;
}

.minw-270px {
	min-width: 270px !important;
}

.minw-280px {
	min-width: 280px !important;
}

.minw-40vw {
	min-width: 40vw !important;
}

.minw-50vw {
	min-width: 50vw !important;
}

.minw-60vw {
	min-width: 60vw !important;
}

.minw-70vw {
	min-width: 70vw !important;
}

.minw-80vw {
	min-width: 80vw !important;
}

.maxw-9em {
	max-width: 9em;
}

.maxw-40px {
	max-width: 40px !important;
}

.maxw-120px {
	max-width: 120px !important;
}

.maxw-130px {
	max-width: 130px !important;
}

.maxw-140px {
	max-width: 140px !important;
}

.maxw-150px {
	max-width: 150px !important;
}

.maxw-80vw {
	max-width: 80vw !important;
}

.maxw-90pc {
	max-width: 90% !important;
}

.w-65px {
	width: 65px !important
}

.w-70px {
	width: 70px !important
}

.w-80px {
	width: 80px !important
}

.w-100px {
	width: 100px !important
}

.w-120px {
	width: 120px !important
}

.w-140px {
	width: 140px !important
}

.w-160px {
	width: 160px !important
}

.w-180px {
	width: 180px !important
}

.w-200px {
	width: 200px !important
}

.w-220px {
	width: 220px !important
}

.maxh-20vh > img {
	max-height: 20vh;
	display: block;
	margin: auto;
}

.dataTables_empty {
	text-align: center !important;
}

.badge-celeste {
	color: black !important;
	background-color: rgb(0,255,255) !important;
}

.badge-sky {
	color: white !important;
	background-color: var(--color-sky) !important;
}

.badge-fucsia {
	color: #fff !important;
	background-color: rgb(255, 0, 255) !important;
}

/*Table*/

.th-sky {
	background-color: var(--color-sky) !important;
	color: #fff;
	font-weight: bold;
}

.th-sticky {
	background-color: var(--color-sky) !important;
	color: #fff;
	font-weight: bold;
}

.table-compress tr > th, tr > td {
	padding: 0.40rem !important;
}

.thead-sky > tr > th {
	background-color: var(--color-sky) !important;
	color: #fff;
	font-weight: bold;
}

.thead-sticky > tr > th {
	position: sticky !important;
	top: 0;
	z-index: 1020;
}

.thead-center > tr > th {
	text-align: center;
}

.tbody-center > tr > td {
	text-align: center;
}


table > thead > tr {
	user-select: none;
}

.selected {
	/*background-color: #DEDEDE;*/
	/*    background-color: rgb(2, 117, 216);*/
	background-color: rgb(217, 234, 249);
}

table:not([class*="d-none-hover"]) tr:hover {
	background-color: #1dc4e921;
	/*font-weight: bold;*/
}

/*.d-none-hover:hover{
	background-color:transparent !important
}*/

.d-none-hover {
	pointer-events: none;
}

.pointer-events-none {
	pointer-events: none !important;
}

div.swal-text {
	text-align: center !important;
}

button.ms-choice {
	height: 30px !important;
}

div.ms-drop.bottom {
	z-index: 1021;
	user-select: none !important;
}

.text-bold {
	font-weight: 700 !important;
}

.text-upper {
	text-transform: uppercase !important;
}

.text-lower {
	text-transform: lowercase !important;
}

.table-borderless thead th,
.table-borderless th,
.table-borderless td {
	/*    border-top: 0px solid #eaeaea !important;*/
	border-top: none !important;
	border-bottom: none !important;
	/*    white-space: nowrap;*/
}

/*Controls*/
.control-compress input[type="text"]:not(.minicolors-input),
.control-compress input[type="password"],
.control-compress input[type="number"],
.control-compress input[type="date"],
.control-compress input[type="month"],
.control-compress input[type="search"],
.control-compress button,
.control-compress select {
	padding-top: 4px !important;
	padding-bottom: 4px !important;
}

input[type="number"][hideButtons]::-webkit-outer-spin-button,
input[type="number"][hideButtons]::-webkit-inner-spin-button {
	-webkit-appearance: none;
	margin: 0;
}

/* Firefox */
input[type=number][hideButtons] {
	-moz-appearance: textfield;
}

div[without-label] label::before {
	margin: 0px !important;
}

div[cursor-pointer] label::before {
	cursor: pointer !important;
}
/*.control-compress button {
	padding: 6px 14px;
	font-size: 13px;
}*/
/*Backgroud*/
.bg-sky {
	background-color: var(--color-sky) !important;
}

.bg-none {
	background-color: transparent;
}

/*Cursor*/
.cursor-auto {
	cursor: auto;
}

.cursor-crosshair {
	cursor: crosshair;
}

.cursor-pointer {
	cursor: pointer;
}

.cursor-move {
	cursor: move;
}

.cursor-resize {
	cursor: e-resize;
}

.cursor-text {
	cursor: text;
}

.cursor-wait {
	cursor: wait;
}

.cursor-help {
	cursor: help;
}

/*Others*/

label[class="cr"] {
	user-select: none;
}

.us-n {
	user-select: none;
}

.input_empty {
	background-color: rgba(255,0,0,0.05) !important;
	border-color: #e0b4b4 !important;
	box-shadow: 0 0 0 0.1rem #e0b4b4
}

.validation_empty {
	background-color: #fff6f6 !important;
	-webkit-box-shadow: 0 0 0 2px #e0b4b4 inset, 0 0 0 0 transparent !important;
	box-shadow: 0 0 0 2px #e0b4b4 inset, 0 0 0 0 transparent !important;
}

.nav-pills-none {
	padding: 15px;
	background-color: transparent !important;
	-webkit-box-shadow: none !important;
	box-shadow: none !important;
}

.tab-content-none {
	padding: 0px !important;
	background: transparent !important;
	-webkit-box-shadow: none !important;
	box-shadow: none !important;
}

/*.datepicker > .datepicker-days {
	display: block;
}*/

.opacity-0 {
	opacity: 0 !important;
}

.opacity-1 {
	opacity: 0.2 !important;
}

.opacity-2 {
	opacity: 0.4 !important;
}

.opacity-3 {
	opacity: 0.6 !important;
}

.opacity-4 {
	opacity: .8 !important;
}

.opacity-5 {
	opacity: 1 !important;
}

/* Maybe even support hover opacity shifts */
.opacity-1h5 {
	opacity: 0.2 !important;
	transition: opacity .25s ease-in-out !important;
	-moz-transition: opacity .25s ease-in-out !important;
	-webkit-transition: opacity .25s ease-in-out !important;
}

	.opacity-1h5:hover {
		opacity: 1 !important;
	}

.opacity-2h5 {
	opacity: 0.4 !important;
	transition: opacity .25s ease-in-out !important;
	-moz-transition: opacity .25s ease-in-out !important;
	-webkit-transition: opacity .25s ease-in-out !important;
}

	.opacity-2h5:hover {
		opacity: 1 !important;
	}

.opacity-0h5 {
	opacity: 0 !important;
	transition: opacity .25s ease-in-out !important;
	-moz-transition: opacity .25s ease-in-out !important;
	-webkit-transition: opacity .25s ease-in-out !important;
}

	.opacity-0h5:hover {
		opacity: 1 !important;
	}

.resize-none {
	resize: none;
}

.d-contents {
	display: contents !important;
}

.dt-body-center {
	text-align: center;
}

.dt-head-center {
	text-align: center;
}

.flipx {
	-webkit-transform: scaleX(-1) !important;
	transform: scaleX(-1) !important;
}

.f-20i {
	font-size: 20px !important;
}

.a-inconsistencia-primary {
	/*cursor: pointer;
	padding: 10px 20px;
	border-radius: 0.25rem;
	font-size: 14px;
	margin-right: 10px;
	transition: all 0.3s ease-in-out;
	color: #fff;
	background-color: #04a9f5;
	border-color: #04a9f5;*/
	width: 100%;
	text-align: left;
	padding-bottom: .5rem;
	padding-top: .5rem;
	margin-bottom: .25rem;
	margin-top: .25rem;
	display: flex;
	justify-content: space-between;
	align-items: center;
}

.datepicker {
	z-index: 9999 !important;
}

	.datepicker > .datepicker-days {
		display: block;
	}

.swal-text {
	text-align: center !important;
}

div.cardReporteWallet-bg3 i {
	opacity: 1 !important;
}

div.cardReporteWallet-bg3:hover {
	background-color: rgb(220, 53, 69);
}

	div.cardReporteWallet-bg3:hover h4 {
		color: white !important;
	}

	div.cardReporteWallet-bg3:hover i {
		color: white !important;
	}

.ulTab a.active {
	font-weight: bold !important;
	color: white !important;
	background-color: #04A9F5 !important;
}

.ulTab li a {
	margin-right: 0.25rem;
	background-color: white !important;
}

.ulTabContent {
	border-top: 3px solid #04A9F5;
	border-radius: 3px;
}

/*@-webkit-keyframes glowing {
	0% {
		background-color: #B20000;
		-webkit-box-shadow: 0 0 3px #B20000;
	}

	50% {
		background-color: #FF0000;
		-webkit-box-shadow: 0 0 40px #FF0000;
	}

	100% {
		background-color: #B20000;
		-webkit-box-shadow: 0 0 3px #B20000;
	}
}

@-moz-keyframes glowing {
	0% {
		background-color: #B20000;
		-moz-box-shadow: 0 0 3px #B20000;
	}

	50% {
		background-color: #FF0000;
		-moz-box-shadow: 0 0 40px #FF0000;
	}

	100% {
		background-color: #B20000;
		-moz-box-shadow: 0 0 3px #B20000;
	}
}

@-o-keyframes glowing {
	0% {
		background-color: #B20000;
		box-shadow: 0 0 3px #B20000;
	}

	50% {
		background-color: #FF0000;
		box-shadow: 0 0 40px #FF0000;
	}

	100% {*/
/*background-color: #B20000;*/
/*box-shadow: 0 0 3px #B20000;
	}
}*/

.border-arco-default-1px {
	border-left: 1px solid #dee2e6 !important;
	border-right: 1px solid #dee2e6 !important;
	border-top: 1px solid #dee2e6 !important;
}

@keyframes shadow-red-10 {
	0% {
		/*background-color: #B20000;*/
		/*background-color: #FF0000;*/
		box-shadow: 0 0 3px #B20000;
	}

	50% {
		/*background-color: #FF0000;*/
		box-shadow: 0 0 10px #FF0000;
	}

	100% {
		/*background-color: #B20000;*/
		/*background-color: #FF0000;*/
		box-shadow: 0 0 3px #B20000;
	}
}

@keyframes glowing-red-25 {
	0% {
		/*background-color: #B20000;*/
		background-color: #FF0000;
		box-shadow: 0 0 3px #B20000;
	}

	50% {
		background-color: #FF0000;
		box-shadow: 0 0 25px #FF0000;
	}

	100% {
		/*background-color: #B20000;*/
		background-color: #FF0000;
		box-shadow: 0 0 3px #B20000;
	}
}

@keyframes glowing-red-30 {
	0% {
		/*background-color: #B20000;*/
		background-color: #FF0000;
		box-shadow: 0 0 3px #B20000;
	}

	50% {
		background-color: #FF0000;
		box-shadow: 0 0 30px #FF0000;
	}

	100% {
		/*background-color: #B20000;*/
		background-color: #FF0000;
		box-shadow: 0 0 3px #B20000;
	}
}

.erp-shadow-red-10 {
	-webkit-animation: shadow-red-10 1200ms infinite;
	-moz-animation: shadow-red-10 1200ms infinite;
	-o-animation: shadow-red-10 1200ms infinite;
	animation: shadow-red-10 1200ms infinite;
}

.erp-glowing-red-25 {
	-webkit-animation: glowing-red-25 1200ms infinite;
	-moz-animation: glowing-red-25 1200ms infinite;
	-o-animation: glowing-red-25 1200ms infinite;
	animation: glowing-red-25 1200ms infinite;
}

.erp-glowing-red-25-text-white {
	-webkit-animation: glowing-red-25 1200ms infinite;
	-moz-animation: glowing-red-25 1200ms infinite;
	-o-animation: glowing-red-25 1200ms infinite;
	animation: glowing-red-25 1200ms infinite;
	color: white;
}

.erp-glowing-red-30 {
	-webkit-animation: glowing-red-30 1200ms infinite;
	-moz-animation: glowing-red-30 1200ms infinite;
	-o-animation: glowing-red-30 1200ms infinite;
	animation: glowing-red-30 1200ms infinite;
}


.erp-border-dance-sky {
	background: linear-gradient(90deg, var(--color-sky) 50%, transparent 50%), linear-gradient(90deg, var(--color-sky) 50%, transparent 50%), linear-gradient(0deg, var(--color-sky) 50%, transparent 50%), linear-gradient(0deg, var(--color-sky) 50%, transparent 50%);
	background-repeat: repeat-x, repeat-x, repeat-y, repeat-y;
	background-size: 15px 2px, 15px 2px, 2px 15px, 2px 15px;
	background-position: 0px 0px, 200px 100px, 0px 100px, 200px 0px;
	animation: border-dance 5s infinite linear;
}

.erp-border-dance-blue {
	background: linear-gradient(90deg, blue 50%, transparent 50%), linear-gradient(90deg, blue 50%, transparent 50%), linear-gradient(0deg, blue 50%, transparent 50%), linear-gradient(0deg, blue 50%, transparent 50%);
	background-repeat: repeat-x, repeat-x, repeat-y, repeat-y;
	background-size: 15px 2px, 15px 2px, 2px 15px, 2px 15px;
	background-position: 0px 0px, 200px 100px, 0px 100px, 200px 0px;
	animation: border-dance 5s infinite linear;
}

.erp-backgroud-gradient-green {
	background: linear-gradient(0deg, rgba(113,254,114,.8) 0%, rgba(202,249,208,1) 97%) !important;
}

@keyframes border-dance {
	/*0% {
		background-position: 0px 0px, 300px 116px, 0px 150px, 216px 0px;
	}

	100% {
		background-position: 300px 0px, 0px 116px, 0px 0px, 216px 150px;
	}*/
	0% {
		background-position: 0 0, 100% 100%, 0 100%, 100% 0;
	}

	100% {
		background-position: 100% 0, 0 100%, 0 0, 100% 100%;
	}
}


@media (max-width: 576px) {
	#tabs-empresa {
		display: flex;
		flex-wrap: nowrap;
		overflow: auto;
	}
}

@media (max-width: 768px) {
	#tabs-empresa {
		display: flex;
		flex-wrap: nowrap;
		overflow: auto;
	}
}

@media (max-width: 992px) {
	#tabs-empresa {
		display: flex;
		flex-wrap: nowrap;
		overflow: auto;
	}
}